## org.apache.ivy.util
Class Configurator.Element

    java.lang.Object
      org.apache.ivy.util.Configurator.Element

Enclosing class:
  Configurator

    public static class Configurator.Element

extends java.lang.Object

Constructor Summary
`Configurator.Element()`

Method Summary
`java.lang.String` `getName()`
`boolean` `isOptional()`
`void` `setName(java.lang.String name)`
`void` `setOptional(boolean optional)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configurator.Element

    public Configurator.Element()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### isOptional

    public boolean isOptional()

### setOptional

    public void setOptional(boolean optional)